Loading...
Searching...
No Matches
gtsam::PreconditionerParameters Struct Reference
Inheritance diagram for gtsam::PreconditionerParameters:

## Public Member Functions

| PreconditionerParameters (const PreconditionerParameters &p)
Kernel | kernel () const
Verbosity | verbosity () const
void | print () const
virtual void | print (std::ostream &os) const

## Static Public Member Functions

static Kernel | kernelTranslator (const std::string &s)
static Verbosity | verbosityTranslator (const std::string &s)
static std::string | kernelTranslator (Kernel k)
static std::string | verbosityTranslator (Verbosity v)

## Public Attributes

enum gtsam::PreconditionerParameters::Kernel | kernel_
enum gtsam::PreconditionerParameters::Verbosity | verbosity_

## Public Types

enum | Kernel { GTSAM = 0 , CHOLMOD }
enum | Verbosity { SILENT = 0 , COMPLEXITY = 1 , ERROR = 2 }
typedef boost::shared_ptr< PreconditionerParameters > | shared_ptr

## Friends

std::ostream & | operator<< (std::ostream &os, const PreconditionerParameters &p)

The documentation for this struct was generated from the following files:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/linear/Preconditioner.h
- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/linear/Preconditioner.cpp